Debian Bug report logs - #682608
installation-reports: wireless failure upon boot after install using new netinst via wifi -- wheezy 64-bit

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: chuck adams <chuck.adams.k7qo@gmail.com>

Date: Tue, 24 Jul 2012 06:33:02 UTC

Severity: serious

Tags: d-i, patch, squeeze-ignore

Merged with 606268, 609072, 611281, 617906

Found in versions network-manager/0.9.4.0-3, network-manager/0.8.1-6, network-manager/0.6.6-3

Fixed in version network-manager/0.9.4.0-9

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#682608; Package installation-reports. (Tue, 24 Jul 2012 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chuck adams <chuck.adams.k7qo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 24 Jul 2012 06:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: chuck adams <chuck.adams.k7qo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: wireless failure upon boot after install using new netinst via wifi -- wheezy 64-bit
Date: Mon, 23 Jul 2012 23:30:12 -0700
Package: installation-reports
Severity: critical
Tags: d-i
Justification: breaks unrelated software

Dear Maintainer,

   * What led up to the situation?

wheezy install alpha 1 using netinst.  wifi interface recognized
and WPE secure network used to install wheezy alpha 1.
Upon completion without error and when reboot the wireless
interface was not completely recognized.  The dual computer
icon did not change and device not managed shown for wireless
network.

But firefox and ping worked, but evolution and other internet
programs failed due to network being shown as down.

If config -a showed wlan0 was enabled and working.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

I went back and did a complete install from scratch using
CAT6 cable to router.  Installation went perfectly again.

   * What was the outcome of this action?

This time upon reboot the system worked perfectly and
the wireless network was recognized and connected to upon
entering password.

   * What outcome did you expect instead?

Hope this helps.

I tried the weekly build, but the distinst tool does not
do wireless.  eth0  did work for the install and networking
was functional.

chuck



-- Package-specific info:

Boot method: 
Image version: 
Date: <Date and time of the install>

Machine: 
Partitions: <df -Tl will do; the raw partition table is preferred>


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [ ]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

<Description of the install, in prose, and any thoughts, comments
      and ideas you had during the initial install.>


-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="7.0 (wheezy) - installer build 20120723-00:03"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux debian 3.2.0-3-amd64 #1 SMP Thu Jun 28 09:07:26 UTC 2012 x86_64 GNU/Linux
lspci -knn: 00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge [1022:9600]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 00:01.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (int gfx) [1022:9602]
lspci -knn: 00:04.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (PCIE port 0) [1022:9604]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:05.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (PCIE port 1) [1022:9605]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:06.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 2) [1022:9606]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:07.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 3) [1022:9607]
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:11.0 SATA controller [0106]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] [1002:4391]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 00:12.0 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [1002:4397]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 00:12.1 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0 USB OHCI1 Controller [1002:4398]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 00:12.2 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 USB EHCI Controller [1002:4396]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:13.0 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [1002:4397]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 00:13.1 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0 USB OHCI1 Controller [1002:4398]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 00:13.2 USB controller [0c03]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 USB EHCI Controller [1002:4396]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:14.0 SMBus [0c05]: Advanced Micro Devices [AMD] nee ATI SBx00 SMBus Controller [1002:4385] (rev 3a)
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 00:14.1 IDE interface [0101]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 IDE Controller [1002:439c]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: pata_atiixp
lspci -knn: 00:14.2 Audio device [0403]: Advanced Micro Devices [AMD] nee ATI SBx00 Azalia (Intel HDA) [1002:4383]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: snd_hda_intel
lspci -knn: 00:14.3 ISA bridge [0601]: Advanced Micro Devices [AMD] nee ATI SB7x0/SB8x0/SB9x0 LPC host controller [1002:439d]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 00:14.4 PCI bridge [0604]: Advanced Micro Devices [AMD] nee ATI SBx00 PCI to PCI Bridge [1002:4384]
lspci -knn: 00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 11h Processor HyperTransport Configuration [1022:1300] (rev 40)
lspci -knn: 00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 11h Processor Address Map [1022:1301]
lspci -knn: 00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 11h Processor DRAM Controller [1022:1302]
lspci -knn: 00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 11h Processor Miscellaneous Control [1022:1303]
lspci -knn: 00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 11h Processor Link Control [1022:1304]
lspci -knn: 01:05.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RS780MC [Mobility Radeon HD 3100 Graphics] [1002:9613]
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 04:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 02)
lspci -knn: 	Subsystem: Toshiba America Info Systems Device [1179:ff6a]
lspci -knn: 	Kernel driver in use: r8169
lspci -knn: 05:00.0 Ethernet controller [0200]: Atheros Communications Inc. Device [168c:ff1b] (rev 01)
usb-list: 
usb-list: Bus 01 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 02: USB2.0-CRW [0bda:0158]
usb-list:    Level 01 Parent 01 Port 03  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Generic
usb-list:    Interface 00: Class 08(mstor) Subclass 06 Protocol 50 Driver <none>
usb-list: 
usb-list: Bus 03 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 03 Device 02: Microsoft Notebook Receiver v2.0 [045e:00e1]
usb-list:    Level 01 Parent 01 Port 02  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Microsoft
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 02 Driver usbhid
usb-list: 
usb-list: Bus 04 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 05 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 06 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-amd64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: fuse                   61981  0 
lsmod: hfsplus                71571  0 
lsmod: hfs                    45877  0 
lsmod: minix                  27580  0 
lsmod: msdos                  17077  0 
lsmod: ufs                    58774  0 
lsmod: qnx4                   13184  0 
lsmod: ntfs                  163839  0 
lsmod: reiserfs              192077  0 
lsmod: binfmt_misc            12957  1 
lsmod: efivars                17780  0 
lsmod: dm_mod                 63545  0 
lsmod: md_mod                 87742  0 
lsmod: xfs                   594991  0 
lsmod: jfs                   137196  0 
lsmod: ext4                  350411  1 
lsmod: crc16                  12343  1 ext4
lsmod: jbd2                   62015  1 ext4
lsmod: ext3                  161867  0 
lsmod: jbd                    56902  1 ext3
lsmod: btrfs                 505480  0 
lsmod: zlib_deflate           25638  1 btrfs
lsmod: crc32c                 12656  1 
lsmod: libcrc32c              12426  1 btrfs
lsmod: vfat                   17316  0 
lsmod: fat                    45642  2 vfat,msdos
lsmod: ext2                   59231  0 
lsmod: mbcache                13065  3 ext2,ext3,ext4
lsmod: r8169                  46980  0 
lsmod: mii                    12675  1 r8169
lsmod: nls_utf8               12456  0 
lsmod: isofs                  35171  0 
lsmod: usb_storage            43870  0 
lsmod: sr_mod                 21899  0 
lsmod: cdrom                  35401  1 sr_mod
lsmod: sd_mod                 36136  3 
lsmod: crc_t10dif             12348  1 sd_mod
lsmod: usbhid                 36379  0 
lsmod: pata_atiixp            12736  0 
lsmod: hid                    81288  1 usbhid
lsmod: snd_hda_codec_realtek   188797  1 
lsmod: snd_hda_intel          26345  0 
lsmod: snd_hda_codec          78031  2 snd_hda_intel,snd_hda_codec_realtek
lsmod: snd_hwdep              13186  1 snd_hda_codec
lsmod: snd_pcm                63900  2 snd_hda_codec,snd_hda_intel
lsmod: snd_page_alloc         13003  2 snd_pcm,snd_hda_intel
lsmod: snd_timer              22917  1 snd_pcm
lsmod: ata_generic            12479  0 
lsmod: psmouse                64455  0 
lsmod: evdev                  17562  3 
lsmod: ahci                   24997  2 
lsmod: libahci                22860  1 ahci
lsmod: thermal                17383  0 
lsmod: fan                    12674  0 
lsmod: thermal_sys            18040  2 fan,thermal
lsmod: libata                140589  4 libahci,ahci,ata_generic,pata_atiixp
lsmod: ohci_hcd               22467  0 
lsmod: snd                    52850  6 snd_timer,snd_pcm,snd_hwdep,snd_hda_codec,snd_hda_intel,snd_hda_codec_realtek
lsmod: ehci_hcd               40215  0 
lsmod: usbcore               128498  5 ehci_hcd,ohci_hcd,usbhid,usb_storage
lsmod: scsi_mod              162372  4 libata,sd_mod,sr_mod,usb_storage
lsmod: soundcore              13065  1 snd
lsmod: usb_common             12354  1 usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: none                     76484        92     76392   0% /run
df: tmpfs                   382416         0    382416   0% /dev
df: /dev/sda1            115474948   5403656 104288716   5% /target
df: /dev/sda1            115474948   5403656 104288716   5% /dev/.static/dev
df: tmpfs                   382416         0    382416   0% /target/dev
free:              total         used         free       shared      buffers
free: Mem:        764836       644864       119972            0        85056
free: -/+ buffers:             559808       205028
free: Swap:      1566716          816      1565900
/proc/cmdline: video=vesa:ywrap,mtrr vga=788 initrd=/install.amd/gtk/initrd.gz -- quiet  BOOT_IMAGE=/install.amd/vmlinuz 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: AuthenticAMD
/proc/cpuinfo: cpu family	: 17
/proc/cpuinfo: model		: 3
/proc/cpuinfo: model name	: AMD Athlon(tm) X2 Dual-Core QL-60
/proc/cpuinfo: stepping	: 1
/proc/cpuinfo: microcode	: 0x2000032
/proc/cpuinfo: cpu MHz		: 1895.562
/proc/cpuinfo: cache size	: 512 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 2
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 0
/proc/cpuinfo: initial apicid	: 0
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 1
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch osvw skinit hw_pstate lbrv svm_lock nrip_save
/proc/cpuinfo: bogomips	: 3791.12
/proc/cpuinfo: TLB size	: 1024 4K pages
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 40 bits physical, 48 bits virtual
/proc/cpuinfo: power management: ts ttp tm stc 100mhzsteps hwpstate
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: vendor_id	: AuthenticAMD
/proc/cpuinfo: cpu family	: 17
/proc/cpuinfo: model		: 3
/proc/cpuinfo: model name	: AMD Athlon(tm) X2 Dual-Core QL-60
/proc/cpuinfo: stepping	: 1
/proc/cpuinfo: microcode	: 0x2000032
/proc/cpuinfo: cpu MHz		: 1895.562
/proc/cpuinfo: cache size	: 512 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 2
/proc/cpuinfo: core id		: 1
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 1
/proc/cpuinfo: initial apicid	: 1
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 1
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch osvw skinit hw_pstate lbrv svm_lock nrip_save
/proc/cpuinfo: bogomips	: 3790.65
/proc/cpuinfo: TLB size	: 1024 4K pages
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 40 bits physical, 48 bits virtual
/proc/cpuinfo: power management: ts ttp tm stc 100mhzsteps hwpstate
/proc/cpuinfo: 
/proc/ioports: 0000-0cf7 : PCI Bus 0000:00
/proc/ioports:   0000-001f : dma1
/proc/ioports:   0020-0021 : pic1
/proc/ioports:   0040-0043 : timer0
/proc/ioports:   0050-0053 : timer1
/proc/ioports:   0060-0060 : keyboard
/proc/ioports:   0062-0062 : EC data
/proc/ioports:   0064-0064 : keyboard
/proc/ioports:   0066-0066 : EC cmd
/proc/ioports:   0070-0071 : rtc0
/proc/ioports:   0080-008f : dma page reg
/proc/ioports:   00a0-00a1 : pic2
/proc/ioports:   00c0-00df : dma2
/proc/ioports:   00f0-00ff : fpu
/proc/ioports:   0170-0177 : 0000:00:14.1
/proc/ioports:     0170-0177 : pata_atiixp
/proc/ioports:   01f0-01f7 : 0000:00:14.1
/proc/ioports:     01f0-01f7 : pata_atiixp
/proc/ioports:   0376-0376 : 0000:00:14.1
/proc/ioports:     0376-0376 : pata_atiixp
/proc/ioports:   03c0-03df : vesafb
/proc/ioports:   03f6-03f6 : 0000:00:14.1
/proc/ioports:     03f6-03f6 : pata_atiixp
/proc/ioports:   0400-04cf : pnp 00:09
/proc/ioports:     0400-0403 : ACPI PM1a_EVT_BLK
/proc/ioports:     0404-0405 : ACPI PM1a_CNT_BLK
/proc/ioports:     0408-040b : ACPI PM_TMR
/proc/ioports:     0420-0427 : ACPI GPE0_BLK
/proc/ioports:   04d0-04d1 : pnp 00:09
/proc/ioports:   04d6-04d6 : pnp 00:09
/proc/ioports:   0680-06ff : pnp 00:09
/proc/ioports:   077a-077a : pnp 00:09
/proc/ioports:   0800-0804 : pnp 00:09
/proc/ioports:     0800-0800 : ACPI PM2_CNT_BLK
/proc/ioports:   0b00-0b3f : pnp 00:09
/proc/ioports:   0c00-0c01 : pnp 00:09
/proc/ioports:   0c14-0c14 : pnp 00:09
/proc/ioports:   0c50-0c52 : pnp 00:09
/proc/ioports:   0c6c-0c6c : pnp 00:09
/proc/ioports:   0c6f-0c6f : pnp 00:09
/proc/ioports:   0cd0-0cdb : pnp 00:09
/proc/ioports:   0cdc-0cdf : pnp 00:09
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: 0d00-ffff : PCI Bus 0000:00
/proc/ioports:   1000-1fff : PCI Bus 0000:80
/proc/ioports:   2000-2fff : PCI Bus 0000:05
/proc/ioports:   3000-4fff : PCI Bus 0000:04
/proc/ioports:     3000-30ff : 0000:04:00.0
/proc/ioports:       3000-30ff : r8169
/proc/ioports:   5000-5fff : PCI Bus 0000:02
/proc/ioports:   6000-6fff : PCI Bus 0000:01
/proc/ioports:     6000-60ff : 0000:01:05.0
/proc/ioports:   7000-700f : 0000:00:14.1
/proc/ioports:     7000-700f : pata_atiixp
/proc/ioports:   7010-701f : 0000:00:11.0
/proc/ioports:     7010-701f : ahci
/proc/ioports:   7030-7037 : 0000:00:11.0
/proc/ioports:     7030-7037 : ahci
/proc/ioports:   7038-703f : 0000:00:11.0
/proc/ioports:     7038-703f : ahci
/proc/ioports:   7048-704b : 0000:00:11.0
/proc/ioports:     7048-704b : ahci
/proc/ioports:   704c-704f : 0000:00:11.0
/proc/ioports:     704c-704f : ahci
/proc/iomem: 00000000-0000ffff : reserved
/proc/iomem: 00010000-0009fbff : System RAM
/proc/iomem: 0009fc00-0009ffff : reserved
/proc/iomem: 000a0000-000bffff : PCI Bus 0000:00
/proc/iomem: 000c0000-000ce9ff : Video ROM
/proc/iomem:   000c0000-000c3fff : PCI Bus 0000:00
/proc/iomem:   000c4000-000c7fff : PCI Bus 0000:00
/proc/iomem:   000c8000-000cbfff : PCI Bus 0000:00
/proc/iomem: 000cf000-000cffff : Adapter ROM
/proc/iomem: 000d0000-000d3fff : PCI Bus 0000:00
/proc/iomem: 000d4000-000d7fff : PCI Bus 0000:00
/proc/iomem: 000d8000-000dbfff : PCI Bus 0000:00
/proc/iomem: 000dc000-000dffff : PCI Bus 0000:00
/proc/iomem: 000e0000-000fffff : reserved
/proc/iomem:   000e0000-000e3fff : PCI Bus 0000:00
/proc/iomem:   000e4000-000e7fff : PCI Bus 0000:00
/proc/iomem:   000e8000-000ebfff : PCI Bus 0000:00
/proc/iomem:   000ec000-000effff : PCI Bus 0000:00
/proc/iomem:   000f0000-000fffff : System ROM
/proc/iomem: 00100000-2fdd6fff : System RAM
/proc/iomem:   01000000-01354485 : Kernel code
/proc/iomem:   01354486-0169367f : Kernel data
/proc/iomem:   01727000-01805fff : Kernel bss
/proc/iomem: 2fdd7000-2fe3efff : ACPI Non-volatile Storage
/proc/iomem: 2fe3f000-2fe6ffff : System RAM
/proc/iomem: 2fe70000-2febefff : reserved
/proc/iomem: 2febf000-2feeefff : System RAM
/proc/iomem: 2feef000-2fefefff : ACPI Tables
/proc/iomem: 2feff000-2fefffff : System RAM
/proc/iomem: 2ff00000-2fffffff : RAM buffer
/proc/iomem: 40000000-f6ffffff : PCI Bus 0000:00
/proc/iomem:   40000000-4fffffff : PCI Bus 0000:01
/proc/iomem:     40000000-4fffffff : 0000:01:05.0
/proc/iomem:       40000000-40ffffff : vesafb
/proc/iomem:   50000000-50ffffff : PCI Bus 0000:02
/proc/iomem:   51000000-520fffff : PCI Bus 0000:04
/proc/iomem:     51000000-5100ffff : 0000:04:00.0
/proc/iomem:       51000000-5100ffff : r8169
/proc/iomem:     51010000-51010fff : 0000:04:00.0
/proc/iomem:       51010000-51010fff : r8169
/proc/iomem:   52100000-530fffff : PCI Bus 0000:05
/proc/iomem:   53100000-541fffff : PCI Bus 0000:05
/proc/iomem:     53100000-5310ffff : 0000:05:00.0
/proc/iomem:   54200000-551fffff : PCI Bus 0000:04
/proc/iomem:   55200000-561fffff : PCI Bus 0000:02
/proc/iomem:   56200000-563fffff : PCI Bus 0000:01
/proc/iomem:     56200000-562fffff : 0000:01:05.0
/proc/iomem:     56300000-5630ffff : 0000:01:05.0
/proc/iomem:   56400000-56403fff : 0000:00:14.2
/proc/iomem:     56400000-56403fff : ICH HD audio
/proc/iomem:   56404000-56404fff : 0000:00:13.1
/proc/iomem:     56404000-56404fff : ohci_hcd
/proc/iomem:   56405000-56405fff : 0000:00:13.0
/proc/iomem:     56405000-56405fff : ohci_hcd
/proc/iomem:   56406000-56406fff : 0000:00:12.1
/proc/iomem:     56406000-56406fff : ohci_hcd
/proc/iomem:   56407000-56407fff : 0000:00:12.0
/proc/iomem:     56407000-56407fff : ohci_hcd
/proc/iomem:   56408000-564083ff : 0000:00:11.0
/proc/iomem:     56408000-564083ff : ahci
/proc/iomem:   56408400-564084ff : 0000:00:13.2
/proc/iomem:     56408400-564084ff : ehci_hcd
/proc/iomem:   56408500-564085ff : 0000:00:12.2
/proc/iomem:     56408500-564085ff : ehci_hcd
/proc/iomem: f7000000-f7ffffff : PCI MMCONFIG 0000 [bus 00-0f]
/proc/iomem:   f7000000-f7ffffff : reserved
/proc/iomem: f8000000-ffffffff : PCI Bus 0000:00
/proc/iomem:   feb00000-feb00fff : pnp 00:0a
/proc/iomem:   fec00000-fec00fff : reserved
/proc/iomem:     fec00000-fec003ff : IOAPIC 0
/proc/iomem:   fed00000-fed003ff : HPET 0
/proc/iomem:   fee00000-fee00fff : Local APIC
/proc/iomem:     fee00000-fee00fff : reserved
/proc/iomem:       fee00000-fee00fff : pnp 00:01
/proc/iomem:   ff800000-ff80ffff : pnp 00:0a
/proc/iomem:   fff00000-ffffffff : reserved
/proc/iomem:     fff00000-ffffffff : pnp 00:0a
/proc/interrupts:            CPU0       CPU1       
/proc/interrupts:   0:         42         28   IO-APIC-edge      timer
/proc/interrupts:   1:          2        111   IO-APIC-edge      i8042
/proc/interrupts:   8:          0         26   IO-APIC-edge      rtc0
/proc/interrupts:   9:          9       3005   IO-APIC-fasteoi   acpi
/proc/interrupts:  12:          5       2443   IO-APIC-edge      i8042
/proc/interrupts:  14:          0          0   IO-APIC-edge      pata_atiixp
/proc/interrupts:  15:          0          0   IO-APIC-edge      pata_atiixp
/proc/interrupts:  16:        117      44902   IO-APIC-fasteoi   ohci_hcd:usb3, ohci_hcd:usb4, snd_hda_intel
/proc/interrupts:  17:          0          2   IO-APIC-fasteoi   ehci_hcd:usb1
/proc/interrupts:  18:          0          0   IO-APIC-fasteoi   ohci_hcd:usb5, ohci_hcd:usb6
/proc/interrupts:  19:          1         15   IO-APIC-fasteoi   ehci_hcd:usb2
/proc/interrupts:  22:        172     318319   IO-APIC-fasteoi   ahci
/proc/interrupts:  40:          0          0   PCI-MSI-edge      PCIe PME, pciehp
/proc/interrupts:  41:          0          0   PCI-MSI-edge      PCIe PME
/proc/interrupts:  42:          0          0   PCI-MSI-edge      PCIe PME
/proc/interrupts:  43:          0          0   PCI-MSI-edge      PCIe PME
/proc/interrupts:  44:        236    1163036   PCI-MSI-edge      eth0
/proc/interrupts: NMI:         42         51   Non-maskable interrupts
/proc/interrupts: LOC:     263396     277629   Local timer interrupts
/proc/interrupts: SPU:          0          0   Spurious interrupts
/proc/interrupts: PMI:         42         51   Performance monitoring interrupts
/proc/interrupts: IWI:          0          0   IRQ work interrupts
/proc/interrupts: RES:     384265     347244   Rescheduling interrupts
/proc/interrupts: CAL:        455        299   Function call interrupts
/proc/interrupts: TLB:      21058      40560   TLB shootdowns
/proc/interrupts: TRM:          0          0   Thermal event interrupts
/proc/interrupts: THR:          0          0   Threshold APIC interrupts
/proc/interrupts: MCE:          0          0   Machine check exceptions
/proc/interrupts: MCP:         28         28   Machine check polls
/proc/interrupts: ERR:          0
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:         764836 kB
/proc/meminfo: MemFree:          119956 kB
/proc/meminfo: Buffers:           85056 kB
/proc/meminfo: Cached:           435200 kB
/proc/meminfo: SwapCached:          528 kB
/proc/meminfo: Active:           250808 kB
/proc/meminfo: Inactive:         205684 kB
/proc/meminfo: Active(anon):       1396 kB
/proc/meminfo: Inactive(anon):    30840 kB
/proc/meminfo: Active(file):     249412 kB
/proc/meminfo: Inactive(file):   174844 kB
/proc/meminfo: Unevictable:       95504 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:       1566716 kB
/proc/meminfo: SwapFree:        1565900 kB
/proc/meminfo: Dirty:              1004 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         31444 kB
/proc/meminfo: Mapped:            11744 kB
/proc/meminfo: Shmem:               476 kB
/proc/meminfo: Slab:              74140 kB
/proc/meminfo: SReclaimable:      59844 kB
/proc/meminfo: SUnreclaim:        14296 kB
/proc/meminfo: KernelStack:         712 kB
/proc/meminfo: PageTables:         1092 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:     1949132 kB
/proc/meminfo: Committed_AS:      39868 kB
/proc/meminfo: VmallocTotal:   34359738367 kB
/proc/meminfo: VmallocUsed:       28264 kB
/proc/meminfo: VmallocChunk:   34359709775 kB
/proc/meminfo: HardwareCorrupted:     0 kB
/proc/meminfo: AnonHugePages:         0 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       2048 kB
/proc/meminfo: DirectMap4k:       72704 kB
/proc/meminfo: DirectMap2M:      712704 kB
/proc/bus/input/devices: I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
/proc/bus/input/devices: N: Name="AT Translated Set 2 keyboard"
/proc/bus/input/devices: P: Phys=isa0060/serio0/input0
/proc/bus/input/devices: S: Sysfs=/devices/platform/i8042/serio0/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=sysrq kbd event0 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0001 Vendor=10ec Product=0268 Version=0001
/proc/bus/input/devices: N: Name="HDA Digital PCBeep"
/proc/bus/input/devices: P: Phys=card0/codec#0/beep0
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:14.2/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event1 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=40001
/proc/bus/input/devices: B: SND=6
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=045e Product=00e1 Version=0111
/proc/bus/input/devices: N: Name="Microsoft Microsoft Notebook Receiver v2.0"
/proc/bus/input/devices: P: Phys=usb-0000:00:12.0-3/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:12.0/usb3/3-3/3-3:1.0/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 event2 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=1f0000 0 0 0 0
/proc/bus/input/devices: B: REL=1c3
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0000 Vendor=0000 Product=0000 Version=0000
/proc/bus/input/devices: N: Name="HDA ATI SB Headphone"
/proc/bus/input/devices: P: Phys=ALSA
/proc/bus/input/devices: S: Sysfs=/devices/pci0000:00/0000:00:14.2/sound/card0/input3
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=event3 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=21
/proc/bus/input/devices: B: SW=4
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
/proc/bus/input/devices: N: Name="SynPS/2 Synaptics TouchPad"
/proc/bus/input/devices: P: Phys=isa0060/serio1/input0
/proc/bus/input/devices: S: Sysfs=/devices/platform/i8042/serio1/input/input4
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse1 event4 
/proc/bus/input/devices: B: PROP=1
/proc/bus/input/devices: B: EV=b
/proc/bus/input/devices: B: KEY=420 3000f 0 0 0 0
/proc/bus/input/devices: B: ABS=11000003
/proc/bus/input/devices: 
/proc/fb: 0 VESA VGA
dfbinfo: not found

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Severity set to 'normal' from 'critical' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 24 Jul 2012 18:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#682608; Package installation-reports. (Tue, 24 Jul 2012 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 24 Jul 2012 18:39:06 GMT) Full text and rfc822 format available.

Message #12 received at 682608@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: chuck adams <chuck.adams.k7qo@gmail.com>, 682608@bugs.debian.org
Subject: Re: Bug#682608: installation-reports: wireless failure upon boot after install using new netinst via wifi -- wheezy 64-bit
Date: Tue, 24 Jul 2012 20:34:33 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 23, 2012 at 23:30:12 -0700, chuck adams wrote:

> wheezy install alpha 1 using netinst.  wifi interface recognized
> and WPE secure network used to install wheezy alpha 1.
> Upon completion without error and when reboot the wireless
> interface was not completely recognized.  The dual computer
> icon did not change and device not managed shown for wireless
> network.
> 
> But firefox and ping worked, but evolution and other internet
> programs failed due to network being shown as down.
> 
> If config -a showed wlan0 was enabled and working.

Any chance you can provide the syslog from the install, and the
/etc/network/interfaces file from the installed system?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#682608; Package installation-reports. (Wed, 25 Jul 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to chuck adams <chuck.adams.k7qo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 25 Jul 2012 09:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 682608@bugs.debian.org (full text, mbox):

From: chuck adams <chuck.adams.k7qo@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#682608: installation-reports: wireless failure upon boot after install using new netinst via wifi -- wheezy 64-bit
Date: Tue, 24 Jul 2012 15:41:59 -0700
[Message part 1 (text/plain, inline)]
On Tue, Jul 24, 2012 at 11:34 AM, Julien Cristau <jcristau@debian.org>wrote:

> On Mon, Jul 23, 2012 at 23:30:12 -0700, chuck adams wrote:
>
> > wheezy install alpha 1 using netinst.  wifi interface recognized
> > and WPE secure network used to install wheezy alpha 1.
> > Upon completion without error and when reboot the wireless
> > interface was not completely recognized.  The dual computer
> > icon did not change and device not managed shown for wireless
> > network.
> >
> > But firefox and ping worked, but evolution and other internet
> > programs failed due to network being shown as down.
> >
> > If config -a showed wlan0 was enabled and working.
>
> Any chance you can provide the syslog from the install, and the
> /etc/network/interfaces file from the installed system?
>
> Cheers,
> Julien
>

Julien,

Asketh and yee shall receive.

Attached are screenshots of GNOME Classic display after login
to show the network status, ability to bring up Iceweasel and
error from Evolution after setting up mail account.  Also the
syslog files and output from 'ifconfig -a'.

Hope this helps.  I'll be trying this on several other systems next week
when I get back home.  Have a few other computers to try this out on.

This was an alpha 1 virgin install, i.e. scratched entire disc and installed
via wireless network with WPE.  Will try WPA when I get home.

ciao,

chuck

-- 
chuck adams, k7qo
chuck.adams.k7qo@gmail.com
[Message part 2 (text/html, inline)]
[etc_network_interfaces (application/octet-stream, attachment)]
[ifconfig-a.output (application/octet-stream, attachment)]
[netinst_001.png (image/png, attachment)]
[netinst_002.png (image/png, attachment)]
[netinst_003.png (image/png, attachment)]
[netinst_004.png (image/png, attachment)]
[var_log_installer_syslog (application/octet-stream, attachment)]
[var_log_syslog (application/octet-stream, attachment)]

Bug reassigned from package 'installation-reports' to 'netcfg'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 20:45:05 GMT) Full text and rfc822 format available.

Marked as found in versions netcfg/1.66. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 20:45:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 20:45:06 GMT) Full text and rfc822 format available.

Added indication that 682608 affects network-manager Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 20:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Sun, 26 Aug 2012 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to chuck adams <chuck.adams.k7qo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 26 Aug 2012 14:57:06 GMT) Full text and rfc822 format available.

Message #30 received at 682608@bugs.debian.org (full text, mbox):

From: chuck adams <chuck.adams.k7qo@gmail.com>
To: 682608@bugs.debian.org
Subject: Fix
Date: Sun, 26 Aug 2012 07:51:49 -0700
Using the suggested comment that /etc/network/interfaces needed lines
commented out, I went to a working system and compared the interfaces
file.

In the installation using the wireless interface the interfaces
file contained a serious security violation as shown here:

# The primary network interface
allow-hotplug wlan0
iface wlan0 inet dhcp
	wpa-ssid NETGEAR
	wpa-psk  wittyflower875


In that the file contains, in plain ASCII text,
the ssid and password for the network and the file
is viewable by all users.

I commented out the lines and added 

allow-hotplug eth0

which I don't know is absolutely necessary.

A reboot of the system does bring up the WiFi
interface without any difficulty that I can see
at the present time.

Please include a note as to when changes will be made.
I am aperiodically downloading netinst from the daily-build
and installing the system from scratch.

Another bug found.  When plugging in a USB thumb memory drive,
it is not recognized and mounted.  This bug may have already
been reported.  I discovered it when I was thinking of writing
both installs (with and without using wlan0) and doing a 
diff -r  (  :-)  ) to compare the file systems and the exact
files that were configured differently.  So many bugs and so
little time.

thanks and I hope this helps,

chuck adams





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Mon, 27 Aug 2012 08:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Aug 2012 08:48:08 GMT) Full text and rfc822 format available.

Message #35 received at 682608@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: chuck adams <chuck.adams.k7qo@gmail.com>, 682608@bugs.debian.org
Subject: Re: Bug#682608: Fix
Date: Mon, 27 Aug 2012 10:38:22 +0200
Hi

chuck adams <chuck.adams.k7qo@gmail.com> writes:

> Using the suggested comment that /etc/network/interfaces needed lines
> commented out, I went to a working system and compared the interfaces
> file.
>
> In the installation using the wireless interface the interfaces
> file contained a serious security violation as shown here:
>
> # The primary network interface
> allow-hotplug wlan0
> iface wlan0 inet dhcp
> 	wpa-ssid NETGEAR
> 	wpa-psk  wittyflower875
>
>
> In that the file contains, in plain ASCII text,
> the ssid and password for the network and the file
> is viewable by all users.

Does anyone know if it's really necessary that /etc/network/interfaces
is world readable? Or could this file set to mode 0600 by d-i if it
contains any sensitive information?

>
> I commented out the lines and added 
>
> allow-hotplug eth0
>
> which I don't know is absolutely necessary.
>
> A reboot of the system does bring up the WiFi
> interface without any difficulty that I can see
> at the present time.
>
> Please include a note as to when changes will be made.
> I am aperiodically downloading netinst from the daily-build
> and installing the system from scratch.

We are currently investigating who to best fix this problem. A proposed
(not yet finished) fix can be found in the people/sorina/write_config
branch of netcfg. The currently favoured approach is add a medium
priority question wo select which kind of network configuration should
be written to the installed system. With these options:
1 network-manager configuration
2 configuration in /etc/network/interfaces
3 no configuration at all

If network-manager is installed, option 1 would be the default,
otherwise option 2.

>
> Another bug found.  When plugging in a USB thumb memory drive,
> it is not recognized and mounted.  This bug may have already
> been reported.  I discovered it when I was thinking of writing
> both installs (with and without using wlan0) and doing a 
> diff -r  (  :-)  ) to compare the file systems and the exact
> files that were configured differently.  So many bugs and so
> little time.

This is an entirely different bug. Please report it separately. The
relevant package is probably udisks.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Mon, 27 Aug 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Aug 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #40 received at 682608@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Gaudenz Steinlin <gaudenz@debian.org>, 682608@bugs.debian.org
Cc: chuck adams <chuck.adams.k7qo@gmail.com>
Subject: Re: Bug#682608: Fix
Date: Mon, 27 Aug 2012 19:03:48 +0200
[Message part 1 (text/plain, inline)]
On Mon, Aug 27, 2012 at 10:38:22 +0200, Gaudenz Steinlin wrote:

> 
> Hi
> 
> chuck adams <chuck.adams.k7qo@gmail.com> writes:
> 
> > Using the suggested comment that /etc/network/interfaces needed lines
> > commented out, I went to a working system and compared the interfaces
> > file.
> >
> > In the installation using the wireless interface the interfaces
> > file contained a serious security violation as shown here:
> >
> > # The primary network interface
> > allow-hotplug wlan0
> > iface wlan0 inet dhcp
> > 	wpa-ssid NETGEAR
> > 	wpa-psk  wittyflower875
> >
> >
> > In that the file contains, in plain ASCII text,
> > the ssid and password for the network and the file
> > is viewable by all users.
> 
> Does anyone know if it's really necessary that /etc/network/interfaces
> is world readable? Or could this file set to mode 0600 by d-i if it
> contains any sensitive information?
> 
0600 works fine, last I checked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Mon, 27 Aug 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to chuck adams <chuck.adams.k7qo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Aug 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #45 received at 682608@bugs.debian.org (full text, mbox):

From: chuck adams <chuck.adams.k7qo@gmail.com>
To: 682608@bugs.debian.org
Subject: /etc/network/interfaces permissions
Date: Mon, 27 Aug 2012 11:23:27 -0700
Here is a working system, i.e. WiFi interface working,
and /etc/network/interfaces permissions

adams@debian:~$ ls -l /etc/network/interfaces
-rw-r--r-- 1 root root 293 Jun 13 22:26 /etc/network/interfaces

and contents of file are:

--------------------------------------------------cut here
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
#NetworkManager#iface eth0 inet dhcp
--------------------------------------------------cut here

The issue is with the contents of the file as shown in previous
email with the ssid and password in the file.  I believe the
644 or even the 600 is just fine.  It is that the current
d-i or netinst is placing the wrong info into the interfaces
file.

By any chance, is the netinst program written in C?  I can
help if it is.  I just need pointers to the code and let
me work on it, if you need the help.  I have taught every
course there is in CS when I was a tenured prof at the
University of North Texas and I was lead instructor and
course developer at sgi at one time.  

Now spending my time writing books and the current one is
on debian.

FYI

chuck

P.S.  I am about to redo the inst using eth0 and see that
the daily-build netinst #3 for today gives the same results
as before.  I don't mind doing all the experiments needed
to resolve this issue.  I am retired... :-)

thanks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Mon, 27 Aug 2012 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Aug 2012 20:21:04 GMT) Full text and rfc822 format available.

Message #50 received at 682608@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: chuck adams <chuck.adams.k7qo@gmail.com>, 682608@bugs.debian.org
Subject: Re: Bug#682608: /etc/network/interfaces permissions
Date: Mon, 27 Aug 2012 22:18:38 +0200
chuck adams <chuck.adams.k7qo@gmail.com> writes:

> Here is a working system, i.e. WiFi interface working,
> and /etc/network/interfaces permissions
>
> adams@debian:~$ ls -l /etc/network/interfaces
> -rw-r--r-- 1 root root 293 Jun 13 22:26 /etc/network/interfaces
>
> and contents of file are:
>
> --------------------------------------------------cut here
> # This file describes the network interfaces available on your system
> # and how to activate them. For more information, see interfaces(5).
>
> # The loopback network interface
> auto lo
> iface lo inet loopback
>
> # The primary network interface
> allow-hotplug eth0
> #NetworkManager#iface eth0 inet dhcp
> --------------------------------------------------cut here
>
> The issue is with the contents of the file as shown in previous
> email with the ssid and password in the file.  I believe the
> 644 or even the 600 is just fine.  It is that the current
> d-i or netinst is placing the wrong info into the interfaces
> file.
>

I don't think the information in /etc/network/interface is wrong. I'm
only guessing that you come to this conclusion because the
network-manager applet does not show the connection. What actually
happens is this:

- netcfg currently only knows about /e/n/i and nothing about
  network-manager. It just writes the configuration to /e/n/i. 

- when finishing up the installation (right before the reboot) a script
  is run which disables all interfaces that have the form "iface ifX
  inet dhcp" without any additional configuration iff network-manager is
  installed. All other interface definitions are untouched. That's why
  your wireless interface is not disabled and shows up as "unmanaged" in
  network-manager. Network-manager sees that this is confgured by
  ifupdown and does not touch the interface.

- the wireless interface actually works as expected as long as you stay
  in range of your wireless network.

- evolution and other programs using network-manager for network
  detection wrongly think that there is no network connection.

There is nothing inherently wrong with this. It's probably just not the
configuration most (novice) users would expect. That's why we are
currently reworking this part to make it more user friendly.

> By any chance, is the netinst program written in C?  I can
> help if it is.  I just need pointers to the code and let
> me work on it, if you need the help.  I have taught every
> course there is in CS when I was a tenured prof at the
> University of North Texas and I was lead instructor and
> course developer at sgi at one time.  

Yes it's one of the few d-i components written in C. The git repository
for debian-installer can be found on git.debian.org. But beware it's not
the most beautiful piece of C code ever ;-) Also the functionality in
question should go to a finish-install script which is in shell.

The (unfinished) version fixing this can be found in
git://git.debian.org/git/d-i/netcfg, branch write_config.

Help also with other parts of netcfg would be appreciated. See the list
of open bugs at http://bugs.debian.org/netcfg :-) Two of the more
interesting open issues are IPv6 support and tagged VLAN support.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682608; Package netcfg. (Sun, 30 Sep 2012 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Duboue <pablo.duboue@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Sep 2012 01:06:03 GMT) Full text and rfc822 format available.

Message #55 received at 682608@bugs.debian.org (full text, mbox):

From: Pablo Duboue <pablo.duboue@gmail.com>
To: 682608@bugs.debian.org
Date: Sat, 29 Sep 2012 21:02:14 -0400
Isn't this a duplicate with #606268 ?

P.



Bug reassigned from package 'netcfg' to 'network-manager'. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2012 05:24:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions netcfg/1.66. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2012 05:24:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 682608: 614884 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2012 05:24:05 GMT) Full text and rfc822 format available.

Removed indication that 682608 affects network-manager Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:21:03 GMT) Full text and rfc822 format available.

Marked as found in versions network-manager/0.9.4.0-3, network-manager/0.8.1-6, and network-manager/0.6.6-3. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:21:04 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore and patch. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:21:04 GMT) Full text and rfc822 format available.

Merged 606268 609072 611281 617906 682608 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:21:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 682608: 614884 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:30:05 GMT) Full text and rfc822 format available.

Merged 606268 609072 611281 617906 682608 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:30:05 GMT) Full text and rfc822 format available.

Message #74 received at 606268-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 606268-close@bugs.debian.org
Subject: Bug#606268: fixed in network-manager 0.9.4.0-9
Date: Tue, 29 Jan 2013 03:33:06 +0000
Source: network-manager
Source-Version: 0.9.4.0-9

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Jan 2013 04:10:11 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib4 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util2 libnm-util-dev network-manager-dbg gir1.2-networkmanager-1.0
Architecture: source amd64
Version: 0.9.4.0-9
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-networkmanager-1.0 - GObject introspection data for NetworkManager
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib4 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util2 - network management framework (shared library)
 network-manager - network management framework (daemon and userspace tools)
 network-manager-dbg - network management framework (debugging symbols)
 network-manager-dev - network management framework (development files)
Closes: 475188 512286 606268 656584 688355 690987
Changes: 
 network-manager (0.9.4.0-9) unstable; urgency=low
 .
   * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
     depending on whether the connection has a valid IPv4 or IPv6 address.
     Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
     scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
   * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
     interfaces are configured in /etc/network/interfaces, NM will mark those
     devices as unmanaged by default. If such a network interface has been
     brought up by ifup, set the global online state to CONNECTED.
     (Closes: #512286)
   * No longer run the ifblacklist_migrate.sh script upon installation. This
     script was used to comment out DHCP type network interface configurations
     in /etc/network/interfaces as otherwise NM would mark such devices as
     unmanaged. This script was buggy though and sometimes created a broken
     network configuration.
     Since debian-installer in wheezy (7.0) will create proper configuration
     for NM if the network-manager package is part of the installation, this is
     no longer necessary.
     If users make a minimal system installation and install the
     network-manager package afterwards, show a warning in postinst if we
     find any interface configurations in /etc/network/interfaces.
     (Closes: #688355, #690987, #606268)
   * Update README.Debian for the latest changes.
Checksums-Sha1: 
 3b225386a33efe97970662decc049592b74de267 2971 network-manager_0.9.4.0-9.dsc
 b17a46a35393878ae50f811d3b9f09e47c4f4169 45358 network-manager_0.9.4.0-9.debian.tar.gz
 3e4c13b3928f43f47e69b595efaaa6db843d4b5b 867100 network-manager_0.9.4.0-9_amd64.deb
 4d5079e078a1b8b68af9e085f8b0c03a44c828a5 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 88ff94e8301ad41cdaba75b0f8529a088b9e1879 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 b065d88332dc9a4cbed6ff2898d8d0310cb46184 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 15bccdc5351941fc017b31d5b7a70aba1e667b03 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 44692f28d2b3fa71840b9b4b21fed0a3696c8e3e 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 0e26913e2daa8beef550d9a6ade55eb65213ec11 331934 libnm-util2_0.9.4.0-9_amd64.deb
 1bd1436b0a1e239c52accfc16bf70489854b163d 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 51493f846be62f5fad4faf0be044e7f5c962f607 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 60e90ae99ef5452fd68b0243528d34ed339131d9 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Checksums-Sha256: 
 1cd62c4dc0e31a1f437c14586645a49022e1b570820755b514ce0c44ee224c06 2971 network-manager_0.9.4.0-9.dsc
 df13ae28d160eb49c6a060ac6df54af02e3d2e815bca1f188a45af272d1c78e1 45358 network-manager_0.9.4.0-9.debian.tar.gz
 f285bb9ab1f0b9ff7fde6a242bede440d7201c2ce35119ec5016889677e050b2 867100 network-manager_0.9.4.0-9_amd64.deb
 2d5c791e15907a48de6b8757c5f1e70a50e66a38bb07112d3d2957783328795f 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 abeed6264eff9d2e6a5481a9bf800226684557e7a8fb2822304f95948cefbe8b 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 179e07c351b4d07f6433913b708425fa7a371f0b60445bec544fbaccb5c03689 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 52f95d62b1a0603a820029f6600360fdd2ba487daeee188b8f54c7d61713eef1 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 1ec0805521f1cbdf3f0ff68d3a0557199b67c17ad7fcbc0e3d6fed1d17ca2b88 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 5c7beb9d234a7af1ea030d64a5a2fe819b0dd06edb4ad7e0d9f39a970a73c79c 331934 libnm-util2_0.9.4.0-9_amd64.deb
 e13d955879d80308a71c6d07d880113df75a89dc098922745d8b86424aed01ca 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 9b2cd3de689303a2cb60373113f64634268bce3e34ee9645bcf2f7a3f996f590 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 dad53f4668832027efb0cdd416d881005772601a1a2836749f1c3be447957e64 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Files: 
 507a252427f213b621aadc2c2d0023a8 2971 net optional network-manager_0.9.4.0-9.dsc
 2e90014f4780527627d2f886a3224467 45358 net optional network-manager_0.9.4.0-9.debian.tar.gz
 bf799661c16a36a9eaa2cb87d52c775a 867100 net optional network-manager_0.9.4.0-9_amd64.deb
 a1b6fe153c9c98e15988298c2f8c7349 275610 devel optional network-manager-dev_0.9.4.0-9_amd64.deb
 24cb0e55b6acb968b9af6e3c97990b42 295262 libs optional libnm-glib4_0.9.4.0-9_amd64.deb
 8e4fcf9bff136a2f9862cda958b1e3ed 389026 libdevel optional libnm-glib-dev_0.9.4.0-9_amd64.deb
 bceb64f76d707047342f3c9c671d64ca 239096 libs optional libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 a14feb2659fb6a2ea187ffea8c79d5b5 231738 libdevel optional libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 c052f7b23076f734eeb2a3ba47f54618 331934 libs optional libnm-util2_0.9.4.0-9_amd64.deb
 12db346b419df7ac333f004c8820a77c 370626 libdevel optional libnm-util-dev_0.9.4.0-9_amd64.deb
 c26bae5daa88af0bbb757ea51f80a427 1725180 debug extra network-manager-dbg_0.9.4.0-9_amd64.deb
 1b786204001e0ea6a89a60473b878230 258990 introspection optional gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBz/IAAoJEGrh3w1gjyLcatcP/3ynNUipgiWMNHCXA8aywZl3
jiG0KZHDcHPU9A2Kudo75BOvqZrWS4WS3LEppun3gHHNhfGQTeFYLwDjF6rtGlo0
GKJZDp8EASs/NpBb3PaL+fENdN7GMv/FZorF0nB4QdUvfjkub1wIPXuC/xOjvn6z
z1NkZwNFY5q7QN6vbQblp9dK/bu3JV3IpwTleRxmr7c42GxOwat+QTasRU9MDRsQ
vPvoahD9J2ZCBJRdbeYFO3AsMONEogyqwUn5HKAogjmchKnA0Fd7zfFEjsPSBDcs
c9btYw5Jy319s99rgQBZlhfF0Q1lcz84uXUNky1m5yeORFzU63fyP9Vc/Dl37tt1
iDOkNqPltHLCEnNSneHVtZ7BCA7pfBS4jIwrz83nt1wNUbgJTijmM9ZyBW64nyW5
q45kRFR+5F0kkAQ2w85j975wdE7JM3wVXH7VxMYX+o28o5OKLarC83bA8Ln7QOwm
WOINCufrgCvCeVz019UO0fE9wL7qPgGUviOZFC5CGiUmvzN1c2Y9pjiZEWhxsRUL
sy4Du+s+JZJwYdQHdArzrPyGb35XCh1aTbQ6iz5iNlyFZW7P7UWJhyAZzofSSeVk
aEdhtuwa/LSdDi38mu9S7rk6VTH7BvD8A63CwEJgUVhhDT8TlpZ1u2IZ6a4kjUQ9
SYute/f8pypf63AmVtHQ
=5hhc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:52:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.